Bug 1023841 - (CVE-2013-5597) CVE-2013-5597 Mozilla: Use-after-free when updating offline cache (MFSA 2013-98)
CVE-2013-5597 Mozilla: Use-after-free when updating offline cache (MFSA 2013-98)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20131029,repor...
: Security
Depends On:
Blocks: 1015366
  Show dependency treegraph
 
Reported: 2013-10-28 00:37 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-10-28 00:37:17 EDT
Security researcher Byoungyoung Lee of Georgia Tech Information Security Center (GTISC) used the Address Sanitizer tool to discover a use-after-free during state change events while updating the offline cache. This leads to a potentially exploitable crash.

In general this flaw cannot be exploited through email in the Thunderbird and Seamonkey products because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-98.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Byoungyoung Lee as the original reporter.
Comment 1 errata-xmlrpc 2013-10-29 17:16:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1476 https://rhn.redhat.com/errata/RHSA-2013-1476.html
Comment 2 errata-xmlrpc 2013-10-30 12:32:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1480 https://rhn.redhat.com/errata/RHSA-2013-1480.html

Note You need to log in before you can comment on or make changes to this bug.